Submit an answer to a profiling question

This endpoint allows for submitting the customer's answers to profiling questions. Two types of events are recorded through this endpoint:

  • A profiling_answer event is recorded each time an answer is submitted to a profiling question.
  • A profiling_flow event is recorded once all answers in a flow have been successfully submitted in separate requests. This event indicates that the entire profiling sequence has been completed.

Learn more about these events under the list of Internal events.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
string
required

Flow ID.

string
required

Question ID.

Form Data
string
required

Answer ID where available, or the answer text. For multiple answers an array should be passed. This should be a boolean value for like questions.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json